Bug 1479745 - Screen refresh issue when using AMD and NVIDIA GPUs together
Screen refresh issue when using AMD and NVIDIA GPUs together
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
26
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-09 06:23 EDT by markmph2
Modified: 2018-05-29 08:26 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 08:26:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The Xorg log file when the issue happens (out of the box fedora 26) (63.48 KB, text/plain)
2017-08-09 06:23 EDT, markmph2
no flags Details
The Xorg log file on fc26 but with /usr/libexec/Xorg replaced with that from fc25. (58.81 KB, text/plain)
2017-08-09 06:26 EDT, markmph2
no flags Details

  None (edit)
Description markmph2 2017-08-09 06:23:37 EDT
Created attachment 1311152 [details]
The Xorg log file when the issue happens (out of the box fedora 26)

Description of problem:
I have one monitor driven by an AMD GPU and two monitors driven by a NVIDIA GPU. On the two NVIDIA-driven monitors the screen fails to refresh properly. This is most notable when inputting text. For example, when typing into an xterm the first character may appear but no more appear until the return key is pressed (and then the screen is refreshed properly).

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.19.3-4.fc26.x86_64

How reproducible:
Always (with this hardware configuration). It can be reproduced using the fedora 26 mate live image.

Steps to Reproduce:
1. Log in and then, if necessary (eg using mate live image), enable the additional monitors (using the GUI for altering the display ie mate-display-properties).
2. Start a mate terminal and move it to one of the nvidia-driven monitors.
3. Enter some text into the mate terminal.

Actual results:
Text fails to appear properly in the xterm window, until the return key is pressed.

Expected results:
Text should appear as soon as it is typed.

Additional info:
AMD GPU: Radeon HD 4250 (RS880)
NVIDIA GPU: Quadro NVS 295 (G98)
No /etc/X11/xorg.conf

This hardware configuration was working okay in fedora 25. In particular, I believe that the change "Default to xf86-video-modesetting on GeForce 8 and newer" in xorg-x11-server-Xorg-1.19.3-4 is responsible. Switching /usr/libexec/Xorg to the one in xorg-x11-server-Xorg-1.19.3-1.fc25.x86_64 meant the screen was refreshed properly.

Also I found this issue wasn't present when using another Quadro NVS 295 instead of the AMD GPU to drive the third monitor.
Comment 1 markmph2 2017-08-09 06:26 EDT
Created attachment 1311153 [details]
The Xorg log file on fc26 but with /usr/libexec/Xorg replaced with that from fc25.
Comment 2 Fedora End Of Life 2018-05-03 04:06:20 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2018-05-29 08:26:22 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.